# json-c: json_object_iter Struct Reference

json_object_iter Struct Reference

`#include <json_types.h>`

## Data Fields

char * | key
struct json_object * | val
struct lh_entry * | entry

## Detailed Description

A structure to use with json_object_object_foreachC() loops. Contains key, val and entry members.

## Field Documentation

## entry

struct lh_entry* json_object_iter::entry

## key

char* json_object_iter::key

## val

struct json_object* json_object_iter::val

The documentation for this struct was generated from the following file:

- json_types.h